<template>
    <div class="card">
        <div class="card-image">
            <figure class="image is-4by5">
                <img :src="`https://www.themoviedb.org/t/p/w220_and_h330_face/${movie.poster_path}`" :alt="movie.original_title">
            </figure>
        </div>
        <div class="card-content">
            <p class="title is-4 has-text-centered">{{ movie.original_title.substring(0, 10) }}</p>
        </div>
        <footer class="card-footer">
            <p class="card-footer-item">
                <a v-if="isFavorite(movie.id)" class="button is-danger" @click="deleteFavorite(movie)">
                    <strong>Remove your favorites</strong>
                </a>
                <a v-else class="button is-success" @click="addFavorite(movie)">
                    <strong>Add to your favorites</strong>
                </a>
            </p>
        </footer>
    </div>
</template>

<script>
import { mapMutations, mapGetters } from 'vuex'

export default {
    name: 'CardMovie',
    props: {
        movie: Object
    },
    methods: {
        ...mapMutations('movie', [
            'addFavorite',
            'deleteFavorite'
        ])
    },
    computed: {
        ...mapGetters('movie', [
            'isFavorite'
        ])
    }
}
</script>
